<template>
  <div class="wrapper">
    <div class="sidebar">
      <div class="">
        <img src="../assets/manote.png" alt="manote" class="img-fluid sidebar-logo"/>
        <div class="side-menu">
          <router-link class="side-menu-link" to="/rates">
            <i class="fa fa-th-large"></i>
            <span>Avis</span>
          </router-link>
          <router-link class="side-menu-link" to="/configservice">
            <i class="fa fa-cog"></i>
            <span>Configurations</span>
          </router-link>
          <div class="side-menu-link" @click="logout">
            <i class="fa fa-sign-out"></i>
            <span>Déconnection</span>
          </div>
        </div>
      </div>
      <support></support>
    </div>
    <div class="h-100 w-100 pb-max">
      <div class="navtop">
        <h4 class="title">{{title || ' '}}</h4>
        <div>
          <i class="fa fa-user-circle mr-2"></i>
          {{fullname}}
        </div>
      </div>
      <div class="mh-100 p-5 overflow-y-auto">
        <slot></slot>
      </div>
    </div>   
  </div>
</template>

<script>
  export default {
    name: 'dashboard-layout',
    computed: {
      fullname: function () {
        var userInfo = localStorage.getItem('userInfo');
        try {
          userInfo = JSON.parse(userInfo);
          return userInfo.firstname + ' ' + userInfo.lastname;
        } catch (error) {
          return '';
        }
      }
    },
    props: ['title'],
    mounted() {
      this.$service.getMe((err, data) => {
        if (err) {
          this.logout();
          return;
        }

        localStorage.setItem('userInfo', JSON.stringify(data.user));
      });
    },
    methods: {
      logout() {
        localStorage.removeItem('userId');
        localStorage.removeItem('userInfo');
        localStorage.removeItem('token');
        localStorage.removeItem('serviceId');
        localStorage.removeItem('service');
        this.$router.push({ name: 'login'});
      }
    }
  }
</script>
<style scoped>
  .wrapper {
    background-color: #f7f8fb;
    height: 100%;
    display: flex;
  }

  .sidebar {
    min-width: 275px;
    height: 100%;
    display: flex;
    flex-direction: column;
    background-color: #fff;
    align-items: center;
    justify-content: space-between;
  }

  .sidebar-logo {
    margin-top: 20px;
  }

  .side-menu {
    margin-top: 20px;
  }

  .side-menu .side-menu-link {
    display: block;
    padding: 10px;
    color: #575757;
    cursor: pointer;
  }

  .side-menu .side-menu-link.router-link-exact-active,
  .side-menu .side-menu-link:hover,
  .side-menu .side-menu-link:active {
    color: #00b19e;
    text-decoration: none;
  }
  
  .side-menu .side-menu-link i {
    margin-right: 15px;
  }

  .navtop {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #fff;
    box-shadow: 0 1px 1px rgba(10,10,10,0.15);
    padding: 14px 20px; 
  }

  .navtop .title {
    color: #00b19e;
    font-weight: 800;
  }

  .overflow-y-auto {
    overflow-y: auto;
  }

  .pb-max {
    padding-bottom: 70px;
  }
  
</style>
